#ifndef TWI_H
#define TWI_H

#include <inttypes.h>
#include <avr/io.h>

#define TWI_1st_BYTE 0b11000000
#define TWI_status() (uint8_t)(TWSR & 0xF8)

void TWI_init(void);
void TWI_start(void);
void TWI_stop(void);
void TWI_write(uint8_t data);
uint8_t TWI_read_ack(void);

// fast mode I2C write
uint8_t DAC_output(uint16_t data);

#endif